# Snu Awscli Cookbook README

[![Cookbook Version](https://img.shields.io/cookbook/v/snu_awscli.svg)][cookbook]
[![Build Status](https://img.shields.io/travis/com/socrata-cookbooks/snu_awscli.svg)][travis]

[cookbook]: https://supermarket.chef.io/cookbooks/snu_awscli
[travis]: https://travis-ci.com/socrata-cookbooks/snu_awscli

A cookbook for installing the AWS CLI in a Python 3 virtualenv.

## Requirements

This cookbook is continously tested against a matrix of Chef versions and platforms. For a full list, see the output of `chef exec microwave list`.

## Usage

Add the default recipe to your run list or declare an instance of the included resource in a recipe of your own.

## Recipes

***default***

Uses a `snu_awscli` resource to install the AWS CLI.

## Attributes

***default***

If desired, a specific version of the AWS CLI can be installed.

```ruby
default['snu_awscli']['version'] = nil
```

## Resources

***snu_awscli***

Manages the AWS Python CLI in a Python 3 virtualenv.

Syntax:

```ruby
snu_awscli 'default' do
  version '1.2.3'
  action :install
end
```

Properties:

| Property  | Default    | Description                          |
|-----------|------------|--------------------------------------|
| version   | `nil`      | Install a specific version of awscli |
| action    | `:install` | The action(s) to perform             |

Actions:

| Action     | Description           |
|------------|-----------------------|
| `:install` | Install the AWS CLI   |
| `:remove`  | Uninstall the AWS CLI |

## Maintainers

- Jonathan Hartman <jonathan.hartman@tylertech.com>
